From 8a7a8c331a91d353779500994bc6d3eb2d43d494 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 2 Apr 2022 16:28:41 -0500
Subject: [PATCH 06/13] f!blanks which involve tabs

I excluded things involving conditional compilation and do{}while statements
---
 contrib/intarray/_int_bool.c               | 1 -
 contrib/ltree/ltxtquery_io.c               | 1 -
 contrib/spi/refint.c                       | 2 --
 src/backend/access/gin/ginbtree.c          | 1 -
 src/backend/access/heap/heapam.c           | 1 -
 src/backend/access/heap/vacuumlazy.c       | 1 -
 src/backend/access/nbtree/nbtutils.c       | 2 --
 src/backend/access/transam/xlogrecovery.c  | 1 -
 src/backend/catalog/objectaddress.c        | 2 --
 src/backend/catalog/pg_attrdef.c           | 1 -
 src/backend/commands/subscriptioncmds.c    | 1 -
 src/backend/commands/tablecmds.c           | 2 --
 src/backend/executor/execParallel.c        | 1 -
 src/backend/executor/execReplication.c     | 1 -
 src/backend/executor/nodeAgg.c             | 1 -
 src/backend/jit/llvm/llvmjit_deform.c      | 2 --
 src/backend/jit/llvm/llvmjit_expr.c        | 1 -
 src/backend/libpq/hba.c                    | 1 -
 src/backend/optimizer/geqo/geqo_cx.c       | 1 -
 src/backend/optimizer/geqo/geqo_erx.c      | 2 --
 src/backend/optimizer/geqo/geqo_pmx.c      | 6 ------
 src/backend/optimizer/geqo/geqo_px.c       | 2 --
 src/backend/optimizer/plan/planner.c       | 1 -
 src/backend/postmaster/postmaster.c        | 1 -
 src/backend/replication/logical/worker.c   | 1 -
 src/backend/replication/walsender.c        | 1 -
 src/backend/storage/buffer/bufmgr.c        | 2 --
 src/backend/storage/buffer/freelist.c      | 1 -
 src/backend/storage/ipc/procarray.c        | 1 -
 src/backend/storage/page/bufpage.c         | 2 --
 src/backend/tcop/utility.c                 | 1 -
 src/backend/tsearch/to_tsany.c             | 1 -
 src/backend/tsearch/ts_parse.c             | 2 --
 src/backend/utils/adt/jsonb.c              | 1 -
 src/backend/utils/adt/multirangetypes.c    | 2 --
 src/backend/utils/adt/oracle_compat.c      | 1 -
 src/backend/utils/adt/ruleutils.c          | 1 -
 src/backend/utils/adt/selfuncs.c           | 1 -
 src/backend/utils/adt/timestamp.c          | 2 --
 src/backend/utils/adt/tsvector_op.c        | 1 -
 src/backend/utils/cache/catcache.c         | 1 -
 src/backend/utils/error/elog.c             | 2 --
 src/backend/utils/sort/tuplesort.c         | 1 -
 src/bin/pg_dump/pg_dumpall.c               | 1 -
 src/bin/pg_rewind/parsexlog.c              | 1 -
 src/bin/pg_verifybackup/pg_verifybackup.c  | 2 --
 src/bin/psql/describe.c                    | 2 --
 src/bin/psql/prompt.c                      | 1 -
 src/common/jsonapi.c                       | 3 ---
 src/fe_utils/print.c                       | 1 -
 src/interfaces/ecpg/ecpglib/connect.c      | 1 -
 src/interfaces/ecpg/ecpglib/data.c         | 1 -
 src/interfaces/ecpg/ecpglib/execute.c      | 1 -
 src/interfaces/ecpg/pgtypeslib/dt_common.c | 1 -
 src/interfaces/ecpg/pgtypeslib/interval.c  | 1 -
 src/interfaces/libpq/fe-secure-openssl.c   | 1 -
 src/pl/tcl/pltcl.c                         | 1 -
 src/port/chklocale.c                       | 1 -
 58 files changed, 80 deletions(-)

diff --git a/contrib/intarray/_int_bool.c b/contrib/intarray/_int_bool.c
index 4b6a31080e4..3ed88af76d7 100644
--- a/contrib/intarray/_int_bool.c
+++ b/contrib/intarray/_int_bool.c
@@ -210,7 +210,6 @@ makepol(WORKSTATE *state)
 						(errcode(ERRCODE_SYNTAX_ERROR),
 						 errmsg("syntax error")));
 				return ERR;
-
 		}
 	}
 
diff --git a/contrib/ltree/ltxtquery_io.c b/contrib/ltree/ltxtquery_io.c
index d967f92110f..3eca5cb8ff3 100644
--- a/contrib/ltree/ltxtquery_io.c
+++ b/contrib/ltree/ltxtquery_io.c
@@ -260,7 +260,6 @@ makepol(QPRS_STATE *state)
 						 errmsg("syntax error")));
 
 				return ERR;
-
 		}
 	}
 	while (lenstack)
diff --git a/contrib/spi/refint.c b/contrib/spi/refint.c
index 6fbfef2b121..18062eb1cff 100644
--- a/contrib/spi/refint.c
+++ b/contrib/spi/refint.c
@@ -497,12 +497,10 @@ check_foreign_key(PG_FUNCTION_ARGS)
 								 nv, (is_char_type > 0) ? "'" : "", (k < nkeys) ? ", " : "");
 					}
 					strcat(sql, " where ");
-
 				}
 				else
 					/* DELETE */
 					snprintf(sql, sizeof(sql), "delete from %s where ", relname);
-
 			}
 
 			/*
diff --git a/src/backend/access/gin/ginbtree.c b/src/backend/access/gin/ginbtree.c
index 8df45478f10..cc6d4e63382 100644
--- a/src/backend/access/gin/ginbtree.c
+++ b/src/backend/access/gin/ginbtree.c
@@ -527,7 +527,6 @@ ginPlaceToPage(GinBtree btree, GinBtreeStack *stack,
 									   BufferGetBlockNumber(stack->buffer),
 									   BufferGetBlockNumber(rbuffer));
 			}
-
 		}
 		else
 		{
diff --git a/src/backend/access/heap/heapam.c b/src/backend/access/heap/heapam.c
index a03122df8d6..4f33245670f 100644
--- a/src/backend/access/heap/heapam.c
+++ b/src/backend/access/heap/heapam.c
@@ -8481,7 +8481,6 @@ log_heap_new_cid(Relation relation, HeapTuple tup)
 		{
 			xlrec.cmin = InvalidCommandId;
 			xlrec.cmax = HeapTupleHeaderGetRawCommandId(hdr);
-
 		}
 		xlrec.combocid = InvalidCommandId;
 	}
diff --git a/src/backend/access/heap/vacuumlazy.c b/src/backend/access/heap/vacuumlazy.c
index e1cac74e620..a3c8ccdbe5c 100644
--- a/src/backend/access/heap/vacuumlazy.c
+++ b/src/backend/access/heap/vacuumlazy.c
@@ -2073,7 +2073,6 @@ lazy_scan_noprune(LVRelState *vacrel,
 				elog(ERROR, "unexpected HeapTupleSatisfiesVacuum result");
 				break;
 		}
-
 	}
 
 	vacrel->offnum = InvalidOffsetNumber;
diff --git a/src/backend/access/nbtree/nbtutils.c b/src/backend/access/nbtree/nbtutils.c
index 5361b147e30..9daf57d4038 100644
--- a/src/backend/access/nbtree/nbtutils.c
+++ b/src/backend/access/nbtree/nbtutils.c
@@ -2116,7 +2116,6 @@ btoptions(Datum reloptions, bool validate)
 		offsetof(BTOptions, vacuum_cleanup_index_scale_factor)},
 		{"deduplicate_items", RELOPT_TYPE_BOOL,
 		offsetof(BTOptions, deduplicate_items)}
-
 	};
 
 	return (bytea *) build_reloptions(reloptions, validate,
@@ -2590,7 +2589,6 @@ _bt_check_natts(Relation rel, bool heapkeyspace, Page page, OffsetNumber offnum)
 
 			/* Use generic heapkeyspace pivot tuple handling */
 		}
-
 	}
 
 	/* Handle heapkeyspace pivot tuples (excluding minus infinity items) */
diff --git a/src/backend/access/transam/xlogrecovery.c b/src/backend/access/transam/xlogrecovery.c
index 4ee29182ac8..5c002359ed6 100644
--- a/src/backend/access/transam/xlogrecovery.c
+++ b/src/backend/access/transam/xlogrecovery.c
@@ -1790,7 +1790,6 @@ PerformWalRecovery(void)
 		/* there are no WAL records following the checkpoint */
 		ereport(LOG,
 				(errmsg("redo is not required")));
-
 	}
 
 	/*
diff --git a/src/backend/catalog/objectaddress.c b/src/backend/catalog/objectaddress.c
index ac6043514f1..8377b4f7d4d 100644
--- a/src/backend/catalog/objectaddress.c
+++ b/src/backend/catalog/objectaddress.c
@@ -1007,7 +1007,6 @@ get_object_address(ObjectType objtype, Node *object,
 					address.objectId = get_domain_constraint_oid(domaddr.objectId,
 																 constrname, missing_ok);
 					address.objectSubId = 0;
-
 				}
 				break;
 			case OBJECT_DATABASE:
@@ -5621,7 +5620,6 @@ getObjectIdentityParts(const ObjectAddress *object,
 					systable_endscan(rcscan);
 					table_close(defaclrel, AccessShareLock);
 					break;
-
 				}
 
 				defacl = (Form_pg_default_acl) GETSTRUCT(tup);
diff --git a/src/backend/catalog/pg_attrdef.c b/src/backend/catalog/pg_attrdef.c
index 2d63c6e62a3..c5d4a9912ea 100644
--- a/src/backend/catalog/pg_attrdef.c
+++ b/src/backend/catalog/pg_attrdef.c
@@ -167,7 +167,6 @@ StoreAttrDefault(Relation rel, AttrNumber attnum,
 
 		if (!missingIsNull)
 			pfree(DatumGetPointer(missingval));
-
 	}
 	table_close(attrrel, RowExclusiveLock);
 	heap_freetuple(atttup);
diff --git a/src/backend/commands/subscriptioncmds.c b/src/backend/commands/subscriptioncmds.c
index 2e8d8afead8..b94236f74d3 100644
--- a/src/backend/commands/subscriptioncmds.c
+++ b/src/backend/commands/subscriptioncmds.c
@@ -1570,7 +1570,6 @@ DropSubscription(DropSubscriptionStmt *stmt, bool isTopLevel)
 		 */
 		if (slotname)
 			ReplicationSlotDropAtPubNode(wrconn, slotname, false);
-
 	}
 	PG_FINALLY();
 	{
diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 2840bc527bc..23e572dd227 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -945,7 +945,6 @@ DefineRelation(CreateStmt *stmt, char relkind, Oid ownerId,
 			ereport(ERROR,
 					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
 					 errmsg("specifying a table access method is not supported on a partitioned table")));
-
 	}
 	else if (RELKIND_HAS_TABLE_AM(relkind))
 		accessMethod = default_table_access_method;
@@ -17450,7 +17449,6 @@ ComputePartitionAttrs(ParseState *pstate, Relation rel, List *partParams, AttrNu
 							 errmsg("data type %s has no default operator class for access method \"%s\"",
 									format_type_be(atttype), "btree"),
 							 errhint("You must specify a btree operator class or define a default btree operator class for the data type.")));
-
 			}
 		}
 		else
diff --git a/src/backend/executor/execParallel.c b/src/backend/executor/execParallel.c
index 9a0d5d59ef6..f1fd7f7e8b2 100644
--- a/src/backend/executor/execParallel.c
+++ b/src/backend/executor/execParallel.c
@@ -1439,7 +1439,6 @@ ParallelQueryMain(dsm_segment *seg, shm_toc *toc)
 
 		paramexec_space = dsa_get_address(area, fpes->param_exec);
 		RestoreParamExecParams(paramexec_space, queryDesc->estate);
-
 	}
 	pwcxt.toc = toc;
 	pwcxt.seg = seg;
diff --git a/src/backend/executor/execReplication.c b/src/backend/executor/execReplication.c
index 27989bd723d..b000645d48b 100644
--- a/src/backend/executor/execReplication.c
+++ b/src/backend/executor/execReplication.c
@@ -548,7 +548,6 @@ ExecSimpleRelationDelete(ResultRelInfo *resultRelInfo,
 	{
 		skip_tuple = !ExecBRDeleteTriggers(estate, epqstate, resultRelInfo,
 										   tid, NULL, NULL);
-
 	}
 
 	if (!skip_tuple)
diff --git a/src/backend/executor/nodeAgg.c b/src/backend/executor/nodeAgg.c
index 23030a32a59..3223d9b24e5 100644
--- a/src/backend/executor/nodeAgg.c
+++ b/src/backend/executor/nodeAgg.c
@@ -4119,7 +4119,6 @@ build_pertrans_for_aggref(AggStatePerTrans pertrans,
 								 2,
 								 InvalidOid,
 								 (void *) aggstate, NULL);
-
 	}
 
 	/*
diff --git a/src/backend/jit/llvm/llvmjit_deform.c b/src/backend/jit/llvm/llvmjit_deform.c
index a3355860c3e..661f15272b7 100644
--- a/src/backend/jit/llvm/llvmjit_deform.c
+++ b/src/backend/jit/llvm/llvmjit_deform.c
@@ -192,7 +192,6 @@ slot_compile_deform(LLVMJitContext *context, TupleDesc desc,
 		v_tupleheaderp =
 			l_load_struct_gep(b, v_heapslot, FIELDNO_HEAPTUPLETABLESLOT_TUPLE,
 							  "tupleheader");
-
 	}
 	else if (ops == &TTSOpsMinimalTuple)
 	{
@@ -357,7 +356,6 @@ slot_compile_deform(LLVMJitContext *context, TupleDesc desc,
 
 			LLVMAddCase(v_switch, v_attno, attcheckattnoblocks[attnum]);
 		}
-
 	}
 	else
 	{
diff --git a/src/backend/jit/llvm/llvmjit_expr.c b/src/backend/jit/llvm/llvmjit_expr.c
index 9c8f341d966..b6b6512ef1f 100644
--- a/src/backend/jit/llvm/llvmjit_expr.c
+++ b/src/backend/jit/llvm/llvmjit_expr.c
@@ -2173,7 +2173,6 @@ llvm_compile_expr(ExprState *state)
 										  "");
 
 							LLVMBuildBr(b, opblocks[opno + 1]);
-
 						}
 
 						LLVMPositionBuilderAtEnd(b, b_no_init);
diff --git a/src/backend/libpq/hba.c b/src/backend/libpq/hba.c
index cbd17b790d8..327a4b42af7 100644
--- a/src/backend/libpq/hba.c
+++ b/src/backend/libpq/hba.c
@@ -1775,7 +1775,6 @@ parse_hba_auth_opt(char *name, char *val, HbaLine *hbaline,
 			hbaline->pam_use_hostname = true;
 		else
 			hbaline->pam_use_hostname = false;
-
 	}
 	else if (strcmp(name, "ldapurl") == 0)
 	{
diff --git a/src/backend/optimizer/geqo/geqo_cx.c b/src/backend/optimizer/geqo/geqo_cx.c
index 3b8d2fe5601..34cc53af53e 100644
--- a/src/backend/optimizer/geqo/geqo_cx.c
+++ b/src/backend/optimizer/geqo/geqo_cx.c
@@ -115,7 +115,6 @@ cx(PlannerInfo *root, Gene *tour1, Gene *tour2, Gene *offspring,
 		for (i = 0; i < num_gene; i++)
 			if (tour1[i] != offspring[i])
 				num_diffs++;
-
 	}
 
 	return num_diffs;
diff --git a/src/backend/optimizer/geqo/geqo_erx.c b/src/backend/optimizer/geqo/geqo_erx.c
index d98c0a59e71..cc0661365f6 100644
--- a/src/backend/optimizer/geqo/geqo_erx.c
+++ b/src/backend/optimizer/geqo/geqo_erx.c
@@ -222,7 +222,6 @@ gimme_tour(PlannerInfo *root, Edge *edge_table, Gene *new_gene, int num_gene)
 
 		/* mark this node as incorporated */
 		edge_table[(int) new_gene[i - 1]].unused_edges = -1;
-
 	}							/* for (i=1; i<num_gene; i++) */
 
 	return edge_failures;
@@ -336,7 +335,6 @@ gimme_gene(PlannerInfo *root, Edge edge, Edge *edge_table)
 			elog(ERROR, "minimum_count not set");
 		else if (edge_table[(int) friend].unused_edges == minimum_edges)
 			minimum_count++;
-
 	}							/* for (i=0; i<edge.unused_edges; i++) */
 
 
diff --git a/src/backend/optimizer/geqo/geqo_pmx.c b/src/backend/optimizer/geqo/geqo_pmx.c
index ddbc78172c0..e44fd0bae5a 100644
--- a/src/backend/optimizer/geqo/geqo_pmx.c
+++ b/src/backend/optimizer/geqo/geqo_pmx.c
@@ -131,7 +131,6 @@ pmx(PlannerInfo *root, Gene *tour1, Gene *tour2, Gene *offspring, int num_gene)
 
 				j++;
 			}
-
 		}
 
 		if (!(found))
@@ -140,7 +139,6 @@ pmx(PlannerInfo *root, Gene *tour1, Gene *tour2, Gene *offspring, int num_gene)
 			indx[mx_fail] = k;
 			mx_fail++;
 		}
-
 	}							/* ... for */
 
 
@@ -172,9 +170,7 @@ pmx(PlannerInfo *root, Gene *tour1, Gene *tour2, Gene *offspring, int num_gene)
 
 				j++;
 			}
-
 		}						/* ... for	 */
-
 	}							/* ... if	 */
 
 
@@ -206,12 +202,10 @@ pmx(PlannerInfo *root, Gene *tour1, Gene *tour2, Gene *offspring, int num_gene)
 
 						j++;
 					}
-
 				}				/* ... if	 */
 
 				i++;
 			}					/* end while */
-
 		}
 	}							/* ... for	 */
 
diff --git a/src/backend/optimizer/geqo/geqo_px.c b/src/backend/optimizer/geqo/geqo_px.c
index 0346554bc09..914296b53d2 100644
--- a/src/backend/optimizer/geqo/geqo_px.c
+++ b/src/backend/optimizer/geqo/geqo_px.c
@@ -96,13 +96,11 @@ px(PlannerInfo *root, Gene *tour1, Gene *tour2, Gene *offspring, int num_gene,
 			{					/* next city in tour2 has been used */
 				tour2_index++;
 			}
-
 		}
 		else
 		{						/* next position in offspring is filled */
 			offspring_index++;
 		}
-
 	}
 }
 
diff --git a/src/backend/optimizer/plan/planner.c b/src/backend/optimizer/plan/planner.c
index b090b087e95..9a4accb4d9d 100644
--- a/src/backend/optimizer/plan/planner.c
+++ b/src/backend/optimizer/plan/planner.c
@@ -6848,7 +6848,6 @@ create_partial_grouping_paths(PlannerInfo *root,
 											   dNumPartialGroups));
 			}
 		}
-
 	}
 
 	if (can_sort && cheapest_partial_path != NULL)
diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
index 3535e9e47d2..3fceda8cff9 100644
--- a/src/backend/postmaster/postmaster.c
+++ b/src/backend/postmaster/postmaster.c
@@ -5851,7 +5851,6 @@ bgworker_should_start_now(BgWorkerStartTime start_time)
 			if (start_time == BgWorkerStart_PostmasterStart)
 				return true;
 			/* fall through */
-
 	}
 
 	return false;
diff --git a/src/backend/replication/logical/worker.c b/src/backend/replication/logical/worker.c
index 9181d3e8636..4171371296f 100644
--- a/src/backend/replication/logical/worker.c
+++ b/src/backend/replication/logical/worker.c
@@ -600,7 +600,6 @@ slot_fill_defaults(LogicalRepRelMapEntry *rel, EState *estate,
 			defmap[num_defaults] = attnum;
 			num_defaults++;
 		}
-
 	}
 
 	for (i = 0; i < num_defaults; i++)
diff --git a/src/backend/replication/walsender.c b/src/backend/replication/walsender.c
index 75400a53f2f..be402613936 100644
--- a/src/backend/replication/walsender.c
+++ b/src/backend/replication/walsender.c
@@ -1000,7 +1000,6 @@ parseCreateReplSlotOptions(CreateReplicationSlotCmd *cmd,
 						(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
 						 errmsg("unrecognized value for CREATE_REPLICATION_SLOT option \"%s\": \"%s\"",
 								defel->defname, action)));
-
 		}
 		else if (strcmp(defel->defname, "reserve_wal") == 0)
 		{
diff --git a/src/backend/storage/buffer/bufmgr.c b/src/backend/storage/buffer/bufmgr.c
index c12028ca0fe..e02ea3a977c 100644
--- a/src/backend/storage/buffer/bufmgr.c
+++ b/src/backend/storage/buffer/bufmgr.c
@@ -2676,7 +2676,6 @@ CheckForBufferLeaks(void)
 			PrintBufferLeakWarning(res->buffer);
 			RefCountErrors++;
 		}
-
 	}
 
 	Assert(RefCountErrors == 0);
@@ -3652,7 +3651,6 @@ FlushRelationsAllBuffers(SMgrRelation *smgrs, int nrels)
 					break;
 				}
 			}
-
 		}
 		else
 		{
diff --git a/src/backend/storage/buffer/freelist.c b/src/backend/storage/buffer/freelist.c
index 3b98e68d50f..990e081aaec 100644
--- a/src/backend/storage/buffer/freelist.c
+++ b/src/backend/storage/buffer/freelist.c
@@ -308,7 +308,6 @@ StrategyGetBuffer(BufferAccessStrategy strategy, uint32 *buf_state)
 				return buf;
 			}
 			UnlockBufHdr(buf, local_buf_state);
-
 		}
 	}
 
diff --git a/src/backend/storage/ipc/procarray.c b/src/backend/storage/ipc/procarray.c
index e184a3552c8..beef69eab22 100644
--- a/src/backend/storage/ipc/procarray.c
+++ b/src/backend/storage/ipc/procarray.c
@@ -1848,7 +1848,6 @@ ComputeXidHorizons(ComputeXidHorizonsResult *h)
 			/* Catalog tables need to consider all backends in this db */
 			h->catalog_oldest_nonremovable =
 				TransactionIdOlder(h->catalog_oldest_nonremovable, xmin);
-
 		}
 	}
 
diff --git a/src/backend/storage/page/bufpage.c b/src/backend/storage/page/bufpage.c
index 366d57ea7ac..cc15396789b 100644
--- a/src/backend/storage/page/bufpage.c
+++ b/src/backend/storage/page/bufpage.c
@@ -563,7 +563,6 @@ compactify_tuples(itemIdCompact itemidbase, int nitems, Page page, bool presorte
 
 			/* update the line pointer to reference the new offset */
 			lp->lp_off = upper;
-
 		}
 
 		/* move the remaining tuples. */
@@ -669,7 +668,6 @@ compactify_tuples(itemIdCompact itemidbase, int nitems, Page page, bool presorte
 
 			/* update the line pointer to reference the new offset */
 			lp->lp_off = upper;
-
 		}
 
 		/* Copy the remaining chunk */
diff --git a/src/backend/tcop/utility.c b/src/backend/tcop/utility.c
index f364a9b88a9..0e7b7b31384 100644
--- a/src/backend/tcop/utility.c
+++ b/src/backend/tcop/utility.c
@@ -3741,7 +3741,6 @@ GetCommandLogLevel(Node *parsetree)
 						lev = LOGSTMT_ALL;
 						break;
 				}
-
 			}
 			break;
 
diff --git a/src/backend/tsearch/to_tsany.c b/src/backend/tsearch/to_tsany.c
index 6053a9e31f2..edeffacc2d7 100644
--- a/src/backend/tsearch/to_tsany.c
+++ b/src/backend/tsearch/to_tsany.c
@@ -569,7 +569,6 @@ pushval_morph(Datum opaque, TSQueryParserState state, char *strval, int lenval,
 		}
 
 		pfree(prs.words);
-
 	}
 	else
 		pushStop(state);
diff --git a/src/backend/tsearch/ts_parse.c b/src/backend/tsearch/ts_parse.c
index fe469881612..27b2cca2dfb 100644
--- a/src/backend/tsearch/ts_parse.c
+++ b/src/backend/tsearch/ts_parse.c
@@ -584,7 +584,6 @@ hlparsetext(Oid cfgId, HeadlineParsedText *prs, TSQuery query, char *buf, int bu
 			else
 				addHLParsedLex(prs, query, lexs, NULL);
 		} while (norms);
-
 	} while (type > 0);
 
 	FunctionCall1(&(prsobj->prsend), PointerGetDatum(prsdata));
@@ -629,7 +628,6 @@ generateHeadline(HeadlineParsedText *prs)
 					memcpy(ptr, prs->fragdelim, prs->fragdelimlen);
 					ptr += prs->fragdelimlen;
 				}
-
 			}
 			if (wrd->replace)
 			{
diff --git a/src/backend/utils/adt/jsonb.c b/src/backend/utils/adt/jsonb.c
index 2043f2e74af..56c588bbabd 100644
--- a/src/backend/utils/adt/jsonb.c
+++ b/src/backend/utils/adt/jsonb.c
@@ -851,7 +851,6 @@ datum_to_jsonb(Datum val, bool is_null, JsonbInState *result,
 					sem.object_field_start = jsonb_in_object_field_start;
 
 					pg_parse_json_or_ereport(lex, &sem);
-
 				}
 				break;
 			case JSONBTYPE_JSONB:
diff --git a/src/backend/utils/adt/multirangetypes.c b/src/backend/utils/adt/multirangetypes.c
index efd8584a3d8..67d7d67fb83 100644
--- a/src/backend/utils/adt/multirangetypes.c
+++ b/src/backend/utils/adt/multirangetypes.c
@@ -1181,7 +1181,6 @@ multirange_minus_internal(Oid mltrngtypoid, TypeCacheEntry *rangetyp,
 				 */
 				range_count3++;
 				r2 = ++i2 >= range_count2 ? NULL : ranges2[i2];
-
 			}
 			else if (range_overlaps_internal(rangetyp, r1, r2))
 			{
@@ -1200,7 +1199,6 @@ multirange_minus_internal(Oid mltrngtypoid, TypeCacheEntry *rangetyp,
 					break;
 				else
 					r2 = ++i2 >= range_count2 ? NULL : ranges2[i2];
-
 			}
 			else
 			{
diff --git a/src/backend/utils/adt/oracle_compat.c b/src/backend/utils/adt/oracle_compat.c
index f1673cc1456..a6e043c32c5 100644
--- a/src/backend/utils/adt/oracle_compat.c
+++ b/src/backend/utils/adt/oracle_compat.c
@@ -868,7 +868,6 @@ translate(PG_FUNCTION_ARGS)
 				target += len;
 				retlen += len;
 			}
-
 		}
 		else
 		{
diff --git a/src/backend/utils/adt/ruleutils.c b/src/backend/utils/adt/ruleutils.c
index 3296ad070ed..7e08d7fe6c2 100644
--- a/src/backend/utils/adt/ruleutils.c
+++ b/src/backend/utils/adt/ruleutils.c
@@ -9440,7 +9440,6 @@ get_rule_expr(Node *node, deparse_context *context,
 							get_rule_expr_paren((Node *) xexpr->args, context, false, node);
 							break;
 					}
-
 				}
 				if (xexpr->op == IS_XMLSERIALIZE)
 					appendStringInfo(buf, " AS %s",
diff --git a/src/backend/utils/adt/selfuncs.c b/src/backend/utils/adt/selfuncs.c
index fb4fb987e7f..71cbc1c3d80 100644
--- a/src/backend/utils/adt/selfuncs.c
+++ b/src/backend/utils/adt/selfuncs.c
@@ -3628,7 +3628,6 @@ estimate_num_groups_incremental(PlannerInfo *root, List *groupExprs,
 					 */
 					if (estinfo != NULL && varinfo2->isdefault)
 						estinfo->flags |= SELFLAG_USED_DEFAULT;
-
 				}
 
 				/* we're done with this relation */
diff --git a/src/backend/utils/adt/timestamp.c b/src/backend/utils/adt/timestamp.c
index 70937eaa461..da73796eac8 100644
--- a/src/backend/utils/adt/timestamp.c
+++ b/src/backend/utils/adt/timestamp.c
@@ -4898,7 +4898,6 @@ timestamp_part_common(PG_FUNCTION_ARGS, bool retnumeric)
 								lowunits, format_type_be(TIMESTAMPOID))));
 				intresult = 0;
 		}
-
 	}
 	else
 	{
@@ -5123,7 +5122,6 @@ timestamptz_part_common(PG_FUNCTION_ARGS, bool retnumeric)
 								lowunits, format_type_be(TIMESTAMPTZOID))));
 				intresult = 0;
 		}
-
 	}
 	else if (type == RESERV)
 	{
diff --git a/src/backend/utils/adt/tsvector_op.c b/src/backend/utils/adt/tsvector_op.c
index 8ba9ef22f56..addc3491518 100644
--- a/src/backend/utils/adt/tsvector_op.c
+++ b/src/backend/utils/adt/tsvector_op.c
@@ -2196,7 +2196,6 @@ insertStatEntry(MemoryContext persistentContext, TSVectorStat *stat, TSVector tx
 			else
 				pnode->right = node;
 		}
-
 	}
 	else
 	{
diff --git a/src/backend/utils/cache/catcache.c b/src/backend/utils/cache/catcache.c
index 233bcb63180..6ae7c1f50b8 100644
--- a/src/backend/utils/cache/catcache.c
+++ b/src/backend/utils/cache/catcache.c
@@ -1710,7 +1710,6 @@ SearchCatCacheList(CatCache *cache,
 		 * we'd better do so before we start marking the members as belonging
 		 * to the list.
 		 */
-
 	}
 	PG_CATCH();
 	{
diff --git a/src/backend/utils/error/elog.c b/src/backend/utils/error/elog.c
index 72778b896a2..55ee5423afb 100644
--- a/src/backend/utils/error/elog.c
+++ b/src/backend/utils/error/elog.c
@@ -2683,7 +2683,6 @@ log_line_prefix(StringInfo buf, ErrorData *edata)
 						appendStringInfo(buf, "%*s", padding, psdisp);
 					else
 						appendBinaryStringInfo(buf, psdisp, displen);
-
 				}
 				else if (padding != 0)
 					appendStringInfoSpaces(buf,
@@ -2722,7 +2721,6 @@ log_line_prefix(StringInfo buf, ErrorData *edata)
 							appendStringInfo(buf, "(%s)",
 											 MyProcPort->remote_port);
 					}
-
 				}
 				else if (padding != 0)
 					appendStringInfoSpaces(buf,
diff --git a/src/backend/utils/sort/tuplesort.c b/src/backend/utils/sort/tuplesort.c
index 571fb955327..1174e1a31c9 100644
--- a/src/backend/utils/sort/tuplesort.c
+++ b/src/backend/utils/sort/tuplesort.c
@@ -3186,7 +3186,6 @@ mergeonerun(Tuplesortstate *state)
 		{
 			stup.srctape = srcTapeIndex;
 			tuplesort_heap_replace_top(state, &stup);
-
 		}
 		else
 		{
diff --git a/src/bin/pg_dump/pg_dumpall.c b/src/bin/pg_dump/pg_dumpall.c
index 6ef3d614211..79a723885ed 100644
--- a/src/bin/pg_dump/pg_dumpall.c
+++ b/src/bin/pg_dump/pg_dumpall.c
@@ -1373,7 +1373,6 @@ dumpDatabases(PGconn *conn)
 				pg_fatal("could not re-open the output file \"%s\": %m",
 						 filename);
 		}
-
 	}
 
 	PQclear(res);
diff --git a/src/bin/pg_rewind/parsexlog.c b/src/bin/pg_rewind/parsexlog.c
index dfa836d1561..7e7346c79a1 100644
--- a/src/bin/pg_rewind/parsexlog.c
+++ b/src/bin/pg_rewind/parsexlog.c
@@ -98,7 +98,6 @@ extractPageMap(const char *datadir, XLogRecPtr startpoint, int tliIndex,
 		}
 
 		extractPageInfo(xlogreader);
-
 	} while (xlogreader->EndRecPtr < endpoint);
 
 	/*
diff --git a/src/bin/pg_verifybackup/pg_verifybackup.c b/src/bin/pg_verifybackup/pg_verifybackup.c
index 6671a841502..bd18b4491d5 100644
--- a/src/bin/pg_verifybackup/pg_verifybackup.c
+++ b/src/bin/pg_verifybackup/pg_verifybackup.c
@@ -740,8 +740,6 @@ verify_file_checksum(verifier_context *context, manifest_file *m,
 			close(fd);
 			return;
 		}
-
-
 	}
 	if (rc < 0)
 		report_backup_error(context, "could not read file \"%s\": %m",
diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index d04ba2b0290..b0aa0cf2466 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -2622,7 +2622,6 @@ describeOneTableDetails(const char *schemaname,
 									  PQgetvalue(result, i, 4));
 
 				printTableAddFooter(&cont, buf.data);
-
 			}
 			PQclear(result);
 		}
@@ -3172,7 +3171,6 @@ describeOneTableDetails(const char *schemaname,
 							case 4:
 								printfPQExpBuffer(&buf, _("Triggers firing on replica only:"));
 								break;
-
 						}
 						printTableAddFooter(&cont, buf.data);
 						have_heading = true;
diff --git a/src/bin/psql/prompt.c b/src/bin/psql/prompt.c
index 10ab390531b..509e6422b7e 100644
--- a/src/bin/psql/prompt.c
+++ b/src/bin/psql/prompt.c
@@ -316,7 +316,6 @@ get_prompt(promptStatus_t status, ConditionalStack cstack)
 					buf[0] = *p;
 					buf[1] = '\0';
 					break;
-
 			}
 			esc = false;
 		}
diff --git a/src/common/jsonapi.c b/src/common/jsonapi.c
index 6666077a934..98e4ef09426 100644
--- a/src/common/jsonapi.c
+++ b/src/common/jsonapi.c
@@ -658,7 +658,6 @@ json_lex(JsonLexContext *lex)
 						lex->token_type = JSON_TOKEN_FALSE;
 					else
 						return JSON_INVALID_TOKEN;
-
 				}
 		}						/* end of switch */
 	}
@@ -856,7 +855,6 @@ json_lex_string(JsonLexContext *lex)
 				lex->token_terminator = s + pg_encoding_mblen_bounded(lex->input_encoding, s);
 				return JSON_ESCAPING_INVALID;
 			}
-
 		}
 		else if (lex->strval != NULL)
 		{
@@ -865,7 +863,6 @@ json_lex_string(JsonLexContext *lex)
 
 			appendStringInfoChar(lex->strval, *s);
 		}
-
 	}
 
 	if (hi_surrogate != -1)
diff --git a/src/fe_utils/print.c b/src/fe_utils/print.c
index dcdb2e0d0cb..fe676a971b9 100644
--- a/src/fe_utils/print.c
+++ b/src/fe_utils/print.c
@@ -1173,7 +1173,6 @@ print_aligned_text(const printTableContent *cont, FILE *fout, bool is_pager)
 			if (opt_border == 2)
 				fputs(dformat->rightvrule, fout);
 			fputc('\n', fout);
-
 		} while (more_lines);
 	}
 
diff --git a/src/interfaces/ecpg/ecpglib/connect.c b/src/interfaces/ecpg/ecpglib/connect.c
index a2166b1e12f..8dfcabe3b50 100644
--- a/src/interfaces/ecpg/ecpglib/connect.c
+++ b/src/interfaces/ecpg/ecpglib/connect.c
@@ -315,7 +315,6 @@ ECPGconnect(int lineno, int c, const char *name, const char *user, const char *p
 			ecpg_free(dbname);
 			dbname = ecpg_strdup(envname, lineno);
 		}
-
 	}
 
 	if (dbname == NULL && connection_name == NULL)
diff --git a/src/interfaces/ecpg/ecpglib/data.c b/src/interfaces/ecpg/ecpglib/data.c
index 6bc91ef7eb6..a1bba42bb8f 100644
--- a/src/interfaces/ecpg/ecpglib/data.c
+++ b/src/interfaces/ecpg/ecpglib/data.c
@@ -564,7 +564,6 @@ ecpg_get_data(const PGresult *results, int act_tuple, int act_field, int lineno,
 						}
 
 						pval += size;
-
 					}
 					break;
 
diff --git a/src/interfaces/ecpg/ecpglib/execute.c b/src/interfaces/ecpg/ecpglib/execute.c
index 930b6adbe4f..6a7ef0bbf67 100644
--- a/src/interfaces/ecpg/ecpglib/execute.c
+++ b/src/interfaces/ecpg/ecpglib/execute.c
@@ -1392,7 +1392,6 @@ ecpg_build_params(struct statement *stmt)
 				if (sqlda->sqln == desc_counter)
 					desc_counter = 0;
 			}
-
 		}
 		else
 		{
diff --git a/src/interfaces/ecpg/pgtypeslib/dt_common.c b/src/interfaces/ecpg/pgtypeslib/dt_common.c
index e8a8a0f0ed3..e0fae3d5f1d 100644
--- a/src/interfaces/ecpg/pgtypeslib/dt_common.c
+++ b/src/interfaces/ecpg/pgtypeslib/dt_common.c
@@ -1740,7 +1740,6 @@ ParseDateTime(char *timestr, char *lowstr,
 		{
 			(*endstr)++;
 			continue;
-
 		}
 		/* otherwise, something is not right... */
 		else
diff --git a/src/interfaces/ecpg/pgtypeslib/interval.c b/src/interfaces/ecpg/pgtypeslib/interval.c
index a7e530cb5d2..73bde94aaf0 100644
--- a/src/interfaces/ecpg/pgtypeslib/interval.c
+++ b/src/interfaces/ecpg/pgtypeslib/interval.c
@@ -947,7 +947,6 @@ interval2tm(interval span, struct tm *tm, fsec_t *fsec)
 	{
 		tm->tm_year = span.month / MONTHS_PER_YEAR;
 		tm->tm_mon = span.month % MONTHS_PER_YEAR;
-
 	}
 	else
 	{
diff --git a/src/interfaces/libpq/fe-secure-openssl.c b/src/interfaces/libpq/fe-secure-openssl.c
index 24a598b6e41..42d8d4616e7 100644
--- a/src/interfaces/libpq/fe-secure-openssl.c
+++ b/src/interfaces/libpq/fe-secure-openssl.c
@@ -1432,7 +1432,6 @@ initialize_SSL(PGconn *conn)
 			}
 
 			SSLerrfree(err);
-
 		}
 	}
 
diff --git a/src/pl/tcl/pltcl.c b/src/pl/tcl/pltcl.c
index 68c9bd1970e..0dd6d8ab2c2 100644
--- a/src/pl/tcl/pltcl.c
+++ b/src/pl/tcl/pltcl.c
@@ -1243,7 +1243,6 @@ pltcl_trigger_handler(PG_FUNCTION_ARGS, pltcl_call_state *call_state,
 		for (i = 0; i < trigdata->tg_trigger->tgnargs; i++)
 			Tcl_ListObjAppendElement(NULL, tcl_cmd,
 									 Tcl_NewStringObj(utf_e2u(trigdata->tg_trigger->tgargs[i]), -1));
-
 	}
 	PG_CATCH();
 	{
diff --git a/src/port/chklocale.c b/src/port/chklocale.c
index 3e777253524..c85d8da3c8b 100644
--- a/src/port/chklocale.c
+++ b/src/port/chklocale.c
@@ -278,7 +278,6 @@ win32_langinfo(const char *ctype)
 					strcpy(r, codepage);
 			}
 		}
-
 	}
 #endif
 
-- 
2.17.1

